Junos OS 12.1X46 SRX 210, 240, 650 series firewalls (KRACK)

High Nessus Plugin ID 105653


The device is vulnerable to key reinstallation attacks (KRACK).


The version of Juniper Junos OS installed on the remote host is affected by multiple vulnerabilities related to the KRACK attacks.
This may allow an attacker to decrypt, replay, and forge some frames on a WPA2 encrypted network.

Note that Juniper's products do not support Fast BSS Transition Reassociation and PeerKey Handshake so are Not Vulnerable to CVE-2017-13082, CVE-2017-13084, CVE-2017-13086, CVE-2017-13087, or CVE-2017-13088.


Disable all Wi-Fi configurations and set all ports with AX411 Access Points down. Refer to vendor advisory for solution and mitigation options.

See Also


Plugin Details

Severity: High

ID: 105653

File Name: juniper_jsa10827_krack.nasl

Version: $Revision: 1.3 $

Type: local

Family: Firewalls

Published: 2018/01/08

Modified: 2018/01/10

Dependencies: 55932

Risk Information

Risk Factor: High


Base Score: 8.3

Temporal Score: 7.9

Vector: CVSS2#AV:A/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:F/RL:U/RC:ND


Base Score: 7.5

Vector: CVSS:3.0/AV:A/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: cpe:/o:juniper:junos

Required KB Items: Host/Juniper/JUNOS/Version

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2017/10/16

Vulnerability Publication Date: 2017/10/12

Reference Information

CVE: CVE-2017-13077, CVE-2017-13078, CVE-2017-13079, CVE-2017-13080, CVE-2017-13081

BID: 101274

OSVDB: 167349, 167350, 167351, 167352

IAVA: 2017-A-0310